# -*- encoding: utf-8 -*-
# stub: KirbyBase 2.6.1 ruby lib

Gem::Specification.new do |s|
  s.name = "KirbyBase".freeze
  s.version = "2.6.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Jamey Cribbs".freeze, "gurugeek".freeze]
  s.autorequire = "kirbybase".freeze
  s.date = "2012-04-17"
  s.description = "KirbyBase is a class that allows you to create and manipulate simple, plain-text databases. You can use it in either a single-user or client-server mode. You can select records for retrieval/updating using code blocks.".freeze
  s.email = "jcribbs@netpromi.com".freeze
  s.executables = ["kbserver.rb".freeze]
  s.files = ["README".freeze, "bin/kbserver.rb".freeze, "changes.txt".freeze, "examples/aaa_try_this_first/kbtest.rb".freeze, "examples/add_column_test/add_column_test.rb".freeze, "examples/calculated_field_test/calculated_field_test.rb".freeze, "examples/change_column_type_test/change_column_type_test.rb".freeze, "examples/column_required_test/column_required_test.rb".freeze, "examples/crosstab_test/crosstab_test.rb".freeze, "examples/csv_import_test/csv_import_test.rb".freeze, "examples/csv_import_test/plane.csv".freeze, "examples/default_value_test/default_value_test.rb".freeze, "examples/drop_column_test/drop_column_test.rb".freeze, "examples/indexes_test/add_index_test.rb".freeze, "examples/indexes_test/drop_index_test.rb".freeze, "examples/indexes_test/index_test.rb".freeze, "examples/kbserver_as_win32_service/kbserver_daemon.rb".freeze, "examples/kbserver_as_win32_service/kbserverctl.rb".freeze, "examples/link_many_test/link_many_test.rb".freeze, "examples/lookup_field_test/lookup_field_test.rb".freeze, "examples/lookup_field_test/lookup_field_test_2.rb".freeze, "examples/lookup_field_test/the_hal_fulton_feature_test.rb".freeze, "examples/many_to_many_test/many_to_many_test.rb".freeze, "examples/memo_test/memo_test.rb".freeze, "examples/memo_test/memos/blank.txt".freeze, "examples/record_class_test/record_class_test.rb".freeze, "examples/record_class_test/record_class_test2.rb".freeze, "examples/rename_column_test/rename_column_test.rb".freeze, "examples/rename_table_test/rename_table_test.rb".freeze, "examples/yaml_field_test/yaml_field_test.rb".freeze, "images/blank.png".freeze, "images/callouts/1.png".freeze, "images/callouts/10.png".freeze, "images/callouts/11.png".freeze, "images/callouts/12.png".freeze, "images/callouts/13.png".freeze, "images/callouts/14.png".freeze, "images/callouts/15.png".freeze, "images/callouts/2.png".freeze, "images/callouts/3.png".freeze, "images/callouts/4.png".freeze, "images/callouts/5.png".freeze, "images/callouts/6.png".freeze, "images/callouts/7.png".freeze, "images/callouts/8.png".freeze, "images/callouts/9.png".freeze, "images/caution.png".freeze, "images/client_server.png".freeze, "images/example.png".freeze, "images/home.png".freeze, "images/important.png".freeze, "images/kirby1.jpg".freeze, "images/next.png".freeze, "images/note.png".freeze, "images/prev.png".freeze, "images/single_user.png".freeze, "images/smallnew.png".freeze, "images/tip.png".freeze, "images/toc-blank.png".freeze, "images/toc-minus.png".freeze, "images/toc-plus.png".freeze, "images/up.png".freeze, "images/warning.png".freeze, "kirbybaserubymanual.html".freeze, "lib/kirbybase.rb".freeze, "test/base_test.rb".freeze, "test/tc_local_db.rb".freeze, "test/tc_local_table.rb".freeze, "test/ts_local.rb".freeze]
  s.homepage = "http://www.netpromi.com/kirbybase_ruby.html".freeze
  s.required_ruby_version = Gem::Requirement.new("> 0.0.0".freeze)
  s.requirements = ["none".freeze]
  s.rubygems_version = "3.1.2".freeze
  s.summary = "KirbyBase is a simple, pure-Ruby, plain-text, flat-file database management system.".freeze
  s.test_files = ["test/ts_local.rb".freeze]
end
